import GravitySimulationClass
import numpy
import matplotlib.pyplot as plt

List_N = [32,64,128,256,512,1024,2048]
List_AccTime = []

for i in List_N:
  C = GravitySimulationClass.GravitySimulation(OutputPrefix='N%d'%i)
  C.InitializeHernquistHalo(Nparticles = i)
  C.RunSimulation(dt=0.01,tmax=2.0)
  List_AccTime.append(numpy.mean(C.AccelerationTime))

plt.xlabel('$N$',fontsize=16)
plt.ylabel('CPU time [second]',fontsize=16)
plt.plot(List_N,List_AccTime,'-o')
plt.loglog()
plt.grid()

plt.savefig('ScalingPlot.pdf')
plt.show()
